/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2008 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  CURSOR csr_xxas_forms IS
  SELECT rv.any_path
  FROM resource_view rv
  WHERE rv.any_path LIKE '%public%xxas%xml'
  AND rv.any_path NOT LIKE '%view/block%';

BEGIN

  --
  --Update xxas_forms_resource table
  --
  FOR csr_rec IN csr_xxas_forms LOOP
    xxas_forms_pkg.update_forms_resource(csr_rec.any_path);
  END LOOP;
  
END;
/
COMMIT;
EXIT;
